## -*- coding: utf-8 -*-
<%namespace name="base" file="/base/base.mako"/>

% if c.forks_pager:
  <table class="rctable fork_summary">
    <tr>
      <th>${_('Owner')}</th>
      <th>${_('Fork')}</th>
      <th>${_('Description')}</th>
      <th>${_('Forked')}</th>
      <th></th>
    </tr>
    % for f in c.forks_pager:
        <tr>
            <td class="td-user fork_user">
              ${base.gravatar_with_user(f.user.email, 16)}
            </td>
            <td class="td-componentname">
              ${h.link_to(f.repo_name,h.url('summary_home',repo_name=f.repo_name))}
            </td>
            <td class="td-description">
                <div class="truncate">${f.description}</div>
            </td>
            <td class="td-time follower_date">
                ${h.age_component(f.created_on, time_is_local=True)}
            </td>
            <td class="td-compare">
                <a title="${_('Compare fork with %s' % c.repo_name)}"
                   href="${h.url('compare_url',repo_name=c.repo_name, source_ref_type=c.rhodecode_db_repo.landing_rev[0],source_ref=c.rhodecode_db_repo.landing_rev[1],target_repo=f.repo_name,target_ref_type=c.rhodecode_db_repo.landing_rev[0],target_ref=c.rhodecode_db_repo.landing_rev[1], merge=1)}"
                   class="btn-link"><i class="icon-loop"></i> ${_('Compare fork')}</a>
            </td>
        </tr>
    % endfor
  </table>
  <div class="pagination-wh pagination-left">
  <script type="text/javascript">
    $(document).pjax('#forks .pager_link','#forks');
    $(document).on('pjax:success',function(){
      show_more_event();
      timeagoActivate();
   });
  </script>
  ${c.forks_pager.pager('$link_previous ~2~ $link_next')}
  </div>
% else:
    ${_('There are no forks yet')}
% endif
